Bug 173975 - Integrate with vim (using Mooffie's plugin)
Integrate with vim (using Mooffie's plugin)
Product: Fedora
Classification: Fedora
Component: hspell (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Kenigsberg
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-23 06:12 EST by Dan Kenigsberg
Modified: 2008-05-10 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-10 03:21:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Vim 6.x support plugin for Hspell, the Hebrew speller (19.31 KB, text/plain)
2005-11-23 06:12 EST, Dan Kenigsberg
no flags Details

  None (edit)
Description Dan Kenigsberg 2005-11-23 06:12:41 EST
Description of problem:
In order to spell-check Hebrew texts from within, one may use Mooffie's
vimhspell.vim plugin (attached). Just put it in /usr/share/vim/vim63/ and press
F6 to spellcheck.

I am not sure whether this plugin should be included withing the hspell rpm, as
it will add a vim dependency, and changes vim's behavior. Maybe it should be
part of vim? Or a special Hebrew language pack?

Additional info:
and specifically
Comment 1 Dan Kenigsberg 2005-11-23 06:12:43 EST
Created attachment 121390 [details]
Vim 6.x support plugin for Hspell, the Hebrew speller
Comment 2 Christian Iseli 2007-01-19 02:20:00 EST
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Comment 3 Dan Kenigsberg 2007-01-22 11:39:45 EST
This bug still applies to Fedora 6's vim 7.0, and I guess that also in devel.
Maybe, when bug 207571 is resolved, we would have Hebew spell-checking in vim
out-of-the-box (via hunspell)
Comment 4 Jon Stanley 2008-05-10 02:18:22 EDT
Dan, can you verify that this still is the case in F9 possibly?  It seems that
we probably use hunspell now, being that bug 207571 referenced in comment $3 is
Comment 5 Dan Kenigsberg 2008-05-10 03:21:38 EDT
How lovely! I guess that for most practical purposes, vimhspell plugin has
become redundant.

Note You need to log in before you can comment on or make changes to this bug.